# Interface JmolSyncInterface

All Known Subinterfaces:
  `JmolAppletInterface`

All Known Implementing Classes:
  `GenericApplet, Jmol, JSpecView, StatusListener`

public interface JmolSyncInterface

## Method Summary

Modifier and Type
Method
Description
`Map<String,Object>`
`getJSpecViewProperty(String key)`
`void`
`register(String id, JmolSyncInterface jsi)`
`void`
`syncScript(String script)`

## Method Details

### syncScript

void syncScript(String script)

### register

void register(String id, JmolSyncInterface jsi)

### getJSpecViewProperty

Map<String,Object> getJSpecViewProperty(String key)